MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
00000203D-Coat v3.xPaint roompublic2010-10-20 16:212011-01-31 10:32
ReporterTaros 
Assigned ToAndrew 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformPCOSWindows 7OS Version64 Bit
Product Version 
Target VersionFixed in Version 
Summary0000020: Smudge produces artefacts
DescriptionWhen I am using the smudge tool, it produces ugly artefacts. The result is not acceptable.
Steps To ReproduceSee video capture for example.
Additional InformationI am not shure, if this happens in conjunction with some blending modes.
TagsNo tags attached.
Attached Files? file icon smudgebug.avi [^] (6,484,480 bytes) 2010-10-20 16:21
? file icon brushbug.psd [^] (636,681 bytes) 2010-10-21 13:09
jpg file icon 3dc_smooth2.jpg [^] (130,165 bytes) 2011-01-03 15:09

- Relationships

-  Notes
(0000015)
Andrew (administrator)
2010-10-21 13:00

It looks like problem is not in smudge, but in alpha of pen. It has [probably] dark color of edges. So after smudge the dark edge becomes wider and rough.
(0000017)
Taros (administrator)
2010-10-21 13:09
edited on: 2010-10-21 14:04

How can I check this? I have saved this brush from 3dc to a psd file an loaded it into photoshop. There is the alpha channel missing. And the other information seems to be ok.

See attached file for check.

PS: I've tested it with one of your regular brushes. It happens there too.
PPS: The same happens with the smoothing brush tool.

(0000066)
haikalle (developer)
2010-12-10 07:33

I made this video about the smudge problem. If seams that those artefacts comes near uv seams. Maybe that helps.

http://www.vimeo.com/17667004 [^]
(0000068)
Taros (administrator)
2010-12-10 08:06

Andrew and me talked yesterday about this problem again, in conjunction with topology copy. He knows this issue and will try to solve it sometime.
(0000124)
Taros (administrator)
2010-12-23 12:30

The same happens with the smooth tool (Not SHIFT smooth! I mean the toolset where desaturate and other tools are found).
(0000129)
Andrew (administrator)
2010-12-27 15:26

fixed in 3.5.08
(0000143)
Taros (administrator)
2011-01-03 15:09

This bug is not fixed. See my newest attachment please.
(0000145)
haikalle (developer)
2011-01-04 12:40
edited on: 2011-01-04 12:41

Smudge error is fixed. There is something odd when smoothing but this really should be in new report.In my opinion, if we continue here, Andrew has more difficult to find what is the real problem.

(0000157)
Taros (administrator)
2011-01-14 15:26

No. Unfortunately there are still small dark dots, when smoothing.

1. Draw a tight rectangle
2. Smudge: Small dark dots
(0000158)
haikalle (developer)
2011-01-14 15:47

Confirmed. I tried with PPP and for me those black dots comes near the uv seams, nowhere else.
(0000165)
haikalle (developer)
2011-01-27 15:19

Could this bug has relationship with this one http://www.3d-coat.com/mantis/view.php?id=122 [^]

If the mesh surface brakes then you could think that smudge tool dosen't work properly anymore.
(0000166)
guest (viewer)
2011-01-27 15:24

Probably the same basic problem. Andrew should check it.
(0000167)
haikalle (developer)
2011-01-27 17:35
edited on: 2011-01-28 06:57

Here is other video. http://vimeo.com/19261025 [^]

It seems like it gives diffrent result how close the camera is to your surface.
Maybe that helps somehow.

(0000168)
Andrew (administrator)
2011-01-28 14:45

Resolved in Color operations, Smooth. Smudge was resolved earlier.
(0000170)
haikalle (developer)
2011-01-31 10:32

Fixed.

- Issue History
Date Modified Username Field Change
2010-10-20 16:21 Taros New Issue
2010-10-20 16:21 Taros Status new => assigned
2010-10-20 16:21 Taros Assigned To => Andrew
2010-10-20 16:21 Taros File Added: smudgebug.avi
2010-10-21 07:17 Taros Status assigned => new
2010-10-21 07:18 Taros Assigned To Andrew =>
2010-10-21 12:50 Andrew Note Added: 0000014
2010-10-21 13:00 Andrew Note Added: 0000015
2010-10-21 13:00 Andrew Assigned To => Andrew
2010-10-21 13:00 Andrew Status new => feedback
2010-10-21 13:00 Andrew Note Deleted: 0000014
2010-10-21 13:09 Taros Note Added: 0000017
2010-10-21 13:09 Taros Status feedback => assigned
2010-10-21 13:09 Taros File Added: brushbug.psd
2010-10-21 13:10 Taros Note Edited: 0000017 View Revisions
2010-10-21 14:01 Taros Note Edited: 0000017 View Revisions
2010-10-21 14:04 Taros Note Edited: 0000017 View Revisions
2010-12-10 07:33 haikalle Note Added: 0000066
2010-12-10 08:06 Taros Note Added: 0000068
2010-12-23 12:30 Taros Note Added: 0000124
2010-12-27 15:26 Andrew Note Added: 0000129
2010-12-27 15:26 Andrew Status assigned => resolved
2010-12-27 15:26 Andrew Resolution open => fixed
2011-01-03 15:09 Taros Note Added: 0000143
2011-01-03 15:09 Taros File Added: 3dc_smooth2.jpg
2011-01-03 15:10 Taros Status resolved => assigned
2011-01-04 12:40 haikalle Note Added: 0000145
2011-01-04 12:41 haikalle Note Edited: 0000145 View Revisions
2011-01-14 15:26 Taros Note Added: 0000157
2011-01-14 15:47 haikalle Note Added: 0000158
2011-01-27 15:19 haikalle Note Added: 0000165
2011-01-27 15:24 guest Note Added: 0000166
2011-01-27 17:35 haikalle Note Added: 0000167
2011-01-28 06:57 haikalle Note Edited: 0000167 View Revisions
2011-01-28 14:45 Andrew Note Added: 0000168
2011-01-28 14:45 Andrew Status assigned => resolved
2011-01-31 10:32 haikalle Note Added: 0000170
2011-01-31 10:32 haikalle Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker